using Knot.Shared.Kernel;

namespace Knot.Contracts.Auth.Application.Auth.DTOs;

public static class AuthErrors
{
    public static Error IdentityInvalidCredentials => new("Auth.InvalidCredentials", "Invalid credentials");
    public static Error IdentityRegistrationDisabled => new("Auth.RegistrationDisabled", "Registration is disabled");
    public static Error IdentityUsernameNotUnique => new("Auth.UsernameNotUnique", "Username is already taken");
    public static Error IdentityRegistrationFailed => new("Auth.RegistrationFailed", "Failed to register user");
    public static Error RefreshTokenExpired => new("Auth.RefreshTokenExpired", "Refresh token has expired. Please login again.");
    public static Error UserNotFound => new("Auth.UserNotFound", "User not found");
}
